(******************************************************************************)
(* Fusion Folder Keeper - Transpear Software                                  *)
(******************************************************************************)
{                                                                              }
{ VERSION      : 1.0                                                           }
{ AUTHOR       : Kelvin Westlake                                               }
{ CREATED      : 14 Semptember 2000                                            }
{ WEBSITE      : http://www.Transpear.cjb.net                                  }
{ EMAIL        : KWestlae@yahoo.com                                            }
{                                                                              }
{ NOTES:                                                                       }
{ This unit requires that the TdfsIconListBox component from the Icon Control  }
{ library be installed, this component should have been enclosed with the      }
{ install file.  if you find this not to be then a copy can be obtained from:  }
{                                                                              }
{                       http://www.delphifreestuff.com/                        }
{                                                                              }
{ Please read the enclosed text files                                          }
{******************************************************************************}

unit IconDlg;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  StdCtrls, ExtCtrls, Forms, Dialogs, IconCtls;
type
  TTFIconSelectDlg = class(TForm)
    OK: TButton;
    Cancel: TButton;
    Browse: TButton;
    IconFileDis: TEdit;
    IconfileBox: TOpenDialog;
    Label1: TLabel;
    IconBox: TdfsIconListBox;
    procedure BrowseClick(Sender: TObject);
  PUBLIC
     Filename  : String [255];
     IconIndex : Integer;
     Function Execute:Boolean;
  end;



implementation

{$R *.DFM}


// Find the System directory from the API.
function SystemDir:String;
var
  tmp:Integer;
begin
  SetLength(result, MAX_PATH);
  tmp:=GetSystemDirectory(PChar(result), MAX_PATH);
  SetLength(result, tmp);

end;

procedure TTFIconSelectDlg.BrowseClick(Sender: TObject);
begin
IF IconFileBox.execute THEN
Begin
  IconBox.filename:=IconFileBox.filename;
  IconfileDis.text:=IconFileBox.filename;
  Filename:=IconBox.filename;
  IconIndex:=IconBox.ItemIndex;
end;
end;

Function TTFIconSelectDlg.Execute : Boolean;
Begin
 IconBox.FileName:=SystemDir+'\shell32.dll'; // find default Icon library.
 IconFileDis.text:=IconBox.filename;
 With IconBox Do
 Begin
   Top:=32;                // I had probs. with the IDE, so I set size manually
   Left:=8;
   Width:=233;
   height:=153;
 End;
 IconBox.Refresh;         // Update the Display box to show new Icons.
 IF ShowModal=mrOK THEN
 Begin
   Filename:=IconBox.filename;
   IconIndex:=IconBox.ItemIndex;
   Execute:=TRUE
 End
 ELSE Execute:=FALSE;
End;

end.
